#header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background-color: var(--primary-color);
  box-shadow: 3px 5px 15px 0 rgba(0, 0, 0, 0.20);
  transition: all 0.5s ease-in-out;
  z-index: 9999;
  padding: 13px 0;
}
.b2-top-bar {
  background: #fff;
  position: relative;
  padding: 16px 0;
}
.b2-top-bar ul {
  list-style: none;
  padding: 0;
  margin: 0;
  gap: 20px;
}
.b2-top-bar ul li a {
  color: var(--accent-color);
}
.b2-top-bar-account {
  text-align: right;
}
.b2-top-bar-account a {
  color: var(--accent-color);
}
.b2-main-header {
  padding: 10px 0;
}
#mega-menu-wrap-header-nav #mega-menu-header-nav > li.mega-menu-item > a.mega-menu-link {
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  padding: 0 28px;
  color: #F5F5F5;
}
#mega-menu-wrap-header-nav #mega-menu-header-nav > li.mega-menu-flyout ul.mega-sub-menu li.mega-menu-item a.mega-menu-link:hover,
#mega-menu-wrap-header-nav #mega-menu-header-nav > li.mega-menu-flyout ul.mega-sub-menu li.mega-menu-item a.mega-menu-link:focus {
  background-color: transparent;
}
#mega-menu-wrap-header-nav #mega-menu-header-nav > li.mega-menu-item > a.mega-menu-link::after {
  content: attr(title) ' ';
  font-weight: 700;
  font-style: normal;
  visibility: hidden;
  height: 0;
  line-height: 0;
  overflow: hidden;
  pointer-events: none;
  user-select: none;
  display: block;
}
#mega-menu-wrap-header-nav #mega-menu-header-nav > li.mega-menu-item > a.mega-menu-link:hover {
  font-weight: 700;
}
.header-nav {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  gap: 30px;
}
.header-cta {
  display: flex;
  align-items: center;
  gap: 30px;
}
#mega-menu-wrap-header-nav #mega-menu-header-nav > li.mega-menu-flyout ul.mega-sub-menu li.mega-menu-item a.mega-menu-link {
  background-color: transparent;
}
#mega-menu-wrap-header-nav #mega-menu-header-nav > li.mega-menu-flyout ul.mega-sub-menu {
  background-color: #3B3B3D;
  top: 70px;
  padding: 15px 35px 20px;
  width: 356px;
  left: -5px;
}
#mega-menu-wrap-header-nav #mega-menu-header-nav > li.mega-menu-flyout ul.mega-sub-menu li.mega-menu-item a.mega-menu-link {
  color: #E4E4E4;
  font-family: "Poppins", sans-serif;
  font-size: 16px;
  font-style: normal;
  font-weight: 500;
  line-height: 21px;
  padding: 0;
  margin: 10px 0;
  position: relative;
}
#mega-menu-wrap-header-nav #mega-menu-header-nav > li.mega-menu-flyout ul.mega-sub-menu li.mega-menu-item a.mega-menu-link:hover {
  color: #fff;
  background-color: transparent;
  font-weight: 700;
}
#mega-menu-wrap-header-nav #mega-menu-header-nav li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator {
  margin: 0;
  width: 0;
}
#mega-menu-wrap-header-nav #mega-menu-header-nav li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator:after {
  color: #BA44F7;
  font-size: 30px;
  top: -2px;
}
#mega-menu-wrap-header-nav #mega-menu-header-nav > li.mega-menu-flyout ul.mega-sub-menu li.mega-menu-item a.mega-menu-link::after {
  content: "";
  display: inline-block;
  width: 17px;
  height: 30px;
  position: absolute;
  right: -35px;
  top: -5px;
  background: url('/wp-content/uploads/2026/03/sub-menu-arrow.svg') no-repeat center;
  background-size: contain;
  opacity: 0;
  transition: transform 0.3s ease, opacity 0.3s ease;
}
#mega-menu-wrap-header-nav #mega-menu-header-nav > li.mega-menu-flyout ul.mega-sub-menu li.mega-menu-item a.mega-menu-link:hover::after {
  opacity: 1;
}
#mega-menu-wrap-header-nav .mega-menu-toggle .mega-toggle-block-0 .mega-toggle-animated-inner,
#mega-menu-wrap-header-nav .mega-menu-toggle .mega-toggle-block-0 .mega-toggle-animated-inner::before,
#mega-menu-wrap-header-nav .mega-menu-toggle .mega-toggle-block-0 .mega-toggle-animated-inner::after {
  background-color: #F5F5F5;
}
@media only screen and (min-width: 1281px) {
  #mega-menu-wrap-header-nav a.mega-menu-link > span.mega-indicator:after {
    transition: transform 0.3s ease;
    display: inline-block; /* ensure transform works */
  }
  #mega-menu-wrap-header-nav .mega-toggle-on a.mega-menu-link > span.mega-indicator:after {
    top: 0px !important;
    transform: rotate(-180deg) !important;
  }
  #mega-menu-wrap-header-nav #mega-menu-header-nav[data-effect="fade_up"] li.mega-menu-item.mega-menu-megamenu > ul.mega-sub-menu, #mega-menu-wrap-header-nav #mega-menu-header-nav[data-effect="fade_up"] li.mega-menu-item.mega-menu-flyout ul.mega-sub-menu {
    transition: opacity 100ms ease-in, transform 100ms ease-in, visibility 100ms ease-in;
  }
  #mega-menu-wrap-header-nav .mega-sub-menu {
    opacity: 0 !important;
    transform: translateY(-15px) !important;
    transition: transform 0.4s cubic-bezier(.22,.61,.36,1), opacity 0.25s ease;
    pointer-events: none;
  }
  #mega-menu-wrap-header-nav .mega-toggle-on > .mega-sub-menu {
    opacity: 1 !important;
    transform: translateY(0) !important;
    pointer-events: auto;
  }
}
@media only screen and (max-width: 1650px) {
  .header-cta {
    gap: 15px;
  }
  .header-nav {
    gap: 15px;
  }
  #mega-menu-wrap-header-nav #mega-menu-header-nav > li.mega-menu-item > a.mega-menu-link {
    padding: 0 15px;
  }
  #mega-menu-wrap-header-nav #mega-menu-header-nav > li.mega-menu-item > a.mega-menu-link {
    font-size: 16px;
  }
  #mega-menu-wrap-header-nav #mega-menu-header-nav li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator:after {
    font-size: 26px;
    right: 2px;
  }
}
@media only screen and (max-width: 1440px) {
  #mega-menu-wrap-header-nav #mega-menu-header-nav > li.mega-menu-item > a.mega-menu-link {
    padding: 0 14px;
  }
}
@media only screen and (max-width: 1367px) {
  #mega-menu-wrap-header-nav #mega-menu-header-nav > li.mega-menu-item > a.mega-menu-link {
    font-size: 15px;
  }
  #mega-menu-wrap-header-nav #mega-menu-header-nav > li.mega-menu-item > a.mega-menu-link {
    padding: 0 10px;
  }
}
@media only screen and (max-width: 1280px) {
  #mega-menu-wrap-header-nav #mega-menu-header-nav > li.mega-menu-flyout ul.mega-sub-menu {
    padding: 10px 20px 10px;
    width: 100%;
  }
  #mega-menu-wrap-header-nav #mega-menu-header-nav li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator:after {
    right: 25px;
  }
  #mega-menu-wrap-header-nav .mega-menu-toggle #mega-menu-header-nav,
  #mega-menu-wrap-header-nav .mega-menu-toggle.mega-menu-open + #mega-menu-header-nav {
    top: 51px !important;
    background: #373636 !important;
    padding-top: 30px;
    padding-bottom: 20px;
  }
  #mega-menu-wrap-header-nav .mega-menu-toggle.mega-menu-open ~ button.mega-close {
    display: none;
  }
  #mega-menu-wrap-header-nav #mega-menu-header-nav > li.mega-menu-item > a.mega-menu-link {
    padding: 0 35px;
    font-size: 18px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px;
  }
  .b2-mh-wrap .b2-mh-top-bar-col.col-logo img {
    position: relative;
    z-index: 120;
  }
  #mega-menu-wrap-header-nav #mega-menu-header-nav > li.mega-menu-item.mega-toggle-on > a.mega-menu-link {
    background-color: #3B3B3D !important;
    color: #fff !important;
  }
  #mega-menu-wrap-header-nav #mega-menu-header-nav > li.mega-menu-item-has-children.mega-toggle-on {
    padding-top: 20px;
    margin-bottom: 20px;
    background: #3B3B3D;
  }
  #mega-menu-wrap-header-nav #mega-menu-header-nav > li.mega-menu-flyout ul.mega-sub-menu {
    padding: 10px 60px 10px !important;
    margin-top: -25px;
  }
  #mega-menu-wrap-header-nav #mega-menu-header-nav > li.mega-menu-flyout ul.mega-sub-menu li.mega-menu-item a.mega-menu-link {
    font-size: 18px !important;
    font-style: normal !important;
    font-weight: 400 !important;
    line-height: 35px !important;
  }
  #mega-menu-wrap-header-nav #mega-menu-header-nav > li.mega-menu-flyout ul.mega-sub-menu li.mega-menu-item a.mega-menu-link::after {
    display: none !important;
  }
}

